package com.mortals.xhx.common.pdu.flow;

import com.mortals.xhx.common.model.SysRole;
import com.mortals.xhx.common.model.SysUser;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 动态人员、组
 *
 * @author: finegirl
 * @date: 2021/8/1 22:49
 */
@Data
public class FlowNextPdu implements Serializable {

    private String type;

    /**
     * 数据类型（fixed,dynamc两种）
     */
    private String dateType;

    private String vars;

    private String name;

    private String assignee;

    private List<String> candidateUsers;

    private List<String> candidateGroups;
}
