package com.mortals.xhx.module.sheet.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.matter.model.MatterEntity;
import com.mortals.xhx.module.sheet.model.SheetMatterEntity;

/**
* 基础事项Dao
* 基础事项 DAO接口
*
* @author zxfei
* @date 2022-09-27
*/
public interface  SheetMatterDao extends ICRUDDao<SheetMatterEntity,Long>{

    String SQLID_SUB_LIST = "getSubList";
    String SQLID_SUB_COUNT = "getSubListCount";

    Result<SheetMatterEntity> getSubList(SheetMatterEntity matterQuery, PageInfo pageInfo);
}
