package com.mortals.xhx.common.pdu.flow;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class FlowTaskNotifyPdu implements Serializable {

    /**
     * 用户审核列表（一个或者多个）
     */
    private List<String> userNameList;

    /**
     * taskId
     */
    private String taskId;

    /**
     * taskName
     */
    private String taskName;

    /**
     * 租户Id
     */
    private String tenantId;

}
