package com.mortals.xhx.feign.task;

import com.mortals.xhx.feign.BaseTaskReq;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * 任务委派(审批参数)
 *
 * @author: zxfei
 * @date: 2021/8/26 17:23
 */
@Data
@ApiModel(value = "DelegateTaskReq" , description = "审批参数")
public class DelegateTaskReq extends BaseTaskReq implements Serializable {
    /**
     * 委派人
     */
    private String delegateUserCode;

}
