package com.mortals.xhx.feign.task;

import com.mortals.xhx.feign.BaseTaskReq;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * 任务转办(审批参数)
 *
 * @author: zxfei
 * @date: 2021/8/26 17:23
 */
@Data
@ApiModel(value = "TurnTaskReq", description = "审批参数")
public class TurnTaskReq extends BaseTaskReq implements Serializable {
    /**
     * 被转办人工号 必填
     */
    private String turnToUserId;

}
