package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.MatterDatumPrintEntity;
/**
 * 打印提交查询对象
 *
 * @author zxfei
 * @date 2022-12-09
 */
public class MatterDatumPrintQuery extends MatterDatumPrintEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 打印订单 */
    private List<String> orderIdList;

    /** 开始 材料Id */
    private Long materialIdStart;

    /** 结束 材料Id */
    private Long materialIdEnd;

    /** 增加 材料Id */
    private Long materialIdIncrement;

    /** 材料Id列表 */
    private List <Long> materialIdList;

    /** 材料名 */
    private List<String> materialNameList;

    /** 开始 材料页数 */
    private Integer pageStart;

    /** 结束 材料页数 */
    private Integer pageEnd;

    /** 增加 材料页数 */
    private Integer pageIncrement;

    /** 材料页数列表 */
    private List <Integer> pageList;

    /** 开始 打印类型(1.本地打印,2.在线打印) */
    private Integer typeStart;

    /** 结束 打印类型(1.本地打印,2.在线打印) */
    private Integer typeEnd;

    /** 增加 打印类型(1.本地打印,2.在线打印) */
    private Integer typeIncrement;

    /** 打印类型(1.本地打印,2.在线打印)列表 */
    private List <Integer> typeList;

    /** 合成doc后地址 */
    private List<String> docPathList;

    /** 提交的表单 */
    private List<String> formContentList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterDatumPrintQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterDatumPrintQuery> andConditionList;

    public MatterDatumPrintQuery(){}

    /**
     * 获取 开始 主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 打印订单
     * @return orderIdList
     */
    public List<String> getOrderIdList(){
        return this.orderIdList;
    }

    /**
     * 设置 打印订单
     * @param orderIdList
     */
    public void setOrderIdList(List<String> orderIdList){
        this.orderIdList = orderIdList;
    }
    /**
     * 获取 开始 材料Id
     * @return materialIdStart
     */
    public Long getMaterialIdStart(){
        return this.materialIdStart;
    }

    /**
     * 设置 开始 材料Id
     * @param materialIdStart
     */
    public void setMaterialIdStart(Long materialIdStart){
        this.materialIdStart = materialIdStart;
    }

    /**
     * 获取 结束 材料Id
     * @return $materialIdEnd
     */
    public Long getMaterialIdEnd(){
        return this.materialIdEnd;
    }

    /**
     * 设置 结束 材料Id
     * @param materialIdEnd
     */
    public void setMaterialIdEnd(Long materialIdEnd){
        this.materialIdEnd = materialIdEnd;
    }

    /**
     * 获取 增加 材料Id
     * @return materialIdIncrement
     */
    public Long getMaterialIdIncrement(){
        return this.materialIdIncrement;
    }

    /**
     * 设置 增加 材料Id
     * @param materialIdIncrement
     */
    public void setMaterialIdIncrement(Long materialIdIncrement){
        this.materialIdIncrement = materialIdIncrement;
    }

    /**
     * 获取 材料Id
     * @return materialIdList
     */
    public List<Long> getMaterialIdList(){
        return this.materialIdList;
    }

    /**
     * 设置 材料Id
     * @param materialIdList
     */
    public void setMaterialIdList(List<Long> materialIdList){
        this.materialIdList = materialIdList;
    }

    /**
     * 获取 材料名
     * @return materialNameList
     */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }
    /**
     * 获取 开始 材料页数
     * @return pageStart
     */
    public Integer getPageStart(){
        return this.pageStart;
    }

    /**
     * 设置 开始 材料页数
     * @param pageStart
     */
    public void setPageStart(Integer pageStart){
        this.pageStart = pageStart;
    }

    /**
     * 获取 结束 材料页数
     * @return $pageEnd
     */
    public Integer getPageEnd(){
        return this.pageEnd;
    }

    /**
     * 设置 结束 材料页数
     * @param pageEnd
     */
    public void setPageEnd(Integer pageEnd){
        this.pageEnd = pageEnd;
    }

    /**
     * 获取 增加 材料页数
     * @return pageIncrement
     */
    public Integer getPageIncrement(){
        return this.pageIncrement;
    }

    /**
     * 设置 增加 材料页数
     * @param pageIncrement
     */
    public void setPageIncrement(Integer pageIncrement){
        this.pageIncrement = pageIncrement;
    }

    /**
     * 获取 材料页数
     * @return pageList
     */
    public List<Integer> getPageList(){
        return this.pageList;
    }

    /**
     * 设置 材料页数
     * @param pageList
     */
    public void setPageList(List<Integer> pageList){
        this.pageList = pageList;
    }

    /**
     * 获取 开始 打印类型(1.本地打印,2.在线打印)
     * @return typeStart
     */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
     * 设置 开始 打印类型(1.本地打印,2.在线打印)
     * @param typeStart
     */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
     * 获取 结束 打印类型(1.本地打印,2.在线打印)
     * @return $typeEnd
     */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
     * 设置 结束 打印类型(1.本地打印,2.在线打印)
     * @param typeEnd
     */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
     * 获取 增加 打印类型(1.本地打印,2.在线打印)
     * @return typeIncrement
     */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
     * 设置 增加 打印类型(1.本地打印,2.在线打印)
     * @param typeIncrement
     */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
     * 获取 打印类型(1.本地打印,2.在线打印)
     * @return typeList
     */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
     * 设置 打印类型(1.本地打印,2.在线打印)
     * @param typeList
     */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }

    /**
     * 获取 合成doc后地址
     * @return docPathList
     */
    public List<String> getDocPathList(){
        return this.docPathList;
    }

    /**
     * 设置 合成doc后地址
     * @param docPathList
     */
    public void setDocPathList(List<String> docPathList){
        this.docPathList = docPathList;
    }
    /**
     * 获取 提交的表单
     * @return formContentList
     */
    public List<String> getFormContentList(){
        return this.formContentList;
    }

    /**
     * 设置 提交的表单
     * @param formContentList
     */
    public void setFormContentList(List<String> formContentList){
        this.formContentList = formContentList;
    }
    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键，自增长
     * @param id
     */
    public MatterDatumPrintQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键，自增长
     * @param idStart
     */
    public MatterDatumPrintQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键，自增长
     * @param idEnd
     */
    public MatterDatumPrintQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键，自增长
     * @param idIncrement
     */
    public MatterDatumPrintQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键，自增长
     * @param idList
     */
    public MatterDatumPrintQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public MatterDatumPrintQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public MatterDatumPrintQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public MatterDatumPrintQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public MatterDatumPrintQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public MatterDatumPrintQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }


    /**
     * 设置 打印订单
     * @param orderId
     */
    public MatterDatumPrintQuery orderId(String orderId){
        setOrderId(orderId);
        return this;
    }

    /**
     * 设置 打印订单
     * @param orderIdList
     */
    public MatterDatumPrintQuery orderIdList(List<String> orderIdList){
        this.orderIdList = orderIdList;
        return this;
    }

    /**
     * 设置  材料Id
     * @param materialId
     */
    public MatterDatumPrintQuery materialId(Long materialId){
        setMaterialId(materialId);
        return this;
    }

    /**
     * 设置 开始 材料Id
     * @param materialIdStart
     */
    public MatterDatumPrintQuery materialIdStart(Long materialIdStart){
        this.materialIdStart = materialIdStart;
        return this;
    }

    /**
     * 设置 结束 材料Id
     * @param materialIdEnd
     */
    public MatterDatumPrintQuery materialIdEnd(Long materialIdEnd){
        this.materialIdEnd = materialIdEnd;
        return this;
    }

    /**
     * 设置 增加 材料Id
     * @param materialIdIncrement
     */
    public MatterDatumPrintQuery materialIdIncrement(Long materialIdIncrement){
        this.materialIdIncrement = materialIdIncrement;
        return this;
    }

    /**
     * 设置 材料Id
     * @param materialIdList
     */
    public MatterDatumPrintQuery materialIdList(List<Long> materialIdList){
        this.materialIdList = materialIdList;
        return this;
    }


    /**
     * 设置 材料名
     * @param materialName
     */
    public MatterDatumPrintQuery materialName(String materialName){
        setMaterialName(materialName);
        return this;
    }

    /**
     * 设置 材料名
     * @param materialNameList
     */
    public MatterDatumPrintQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
        return this;
    }

    /**
     * 设置  材料页数
     * @param page
     */
    public MatterDatumPrintQuery page(Integer page){
        setPage(page);
        return this;
    }

    /**
     * 设置 开始 材料页数
     * @param pageStart
     */
    public MatterDatumPrintQuery pageStart(Integer pageStart){
        this.pageStart = pageStart;
        return this;
    }

    /**
     * 设置 结束 材料页数
     * @param pageEnd
     */
    public MatterDatumPrintQuery pageEnd(Integer pageEnd){
        this.pageEnd = pageEnd;
        return this;
    }

    /**
     * 设置 增加 材料页数
     * @param pageIncrement
     */
    public MatterDatumPrintQuery pageIncrement(Integer pageIncrement){
        this.pageIncrement = pageIncrement;
        return this;
    }

    /**
     * 设置 材料页数
     * @param pageList
     */
    public MatterDatumPrintQuery pageList(List<Integer> pageList){
        this.pageList = pageList;
        return this;
    }

    /**
     * 设置  打印类型(1.本地打印,2.在线打印)
     * @param type
     */
    public MatterDatumPrintQuery type(Integer type){
        setType(type);
        return this;
    }

    /**
     * 设置 开始 打印类型(1.本地打印,2.在线打印)
     * @param typeStart
     */
    public MatterDatumPrintQuery typeStart(Integer typeStart){
        this.typeStart = typeStart;
        return this;
    }

    /**
     * 设置 结束 打印类型(1.本地打印,2.在线打印)
     * @param typeEnd
     */
    public MatterDatumPrintQuery typeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
        return this;
    }

    /**
     * 设置 增加 打印类型(1.本地打印,2.在线打印)
     * @param typeIncrement
     */
    public MatterDatumPrintQuery typeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
        return this;
    }

    /**
     * 设置 打印类型(1.本地打印,2.在线打印)
     * @param typeList
     */
    public MatterDatumPrintQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
        return this;
    }


    /**
     * 设置 合成doc后地址
     * @param docPath
     */
    public MatterDatumPrintQuery docPath(String docPath){
        setDocPath(docPath);
        return this;
    }

    /**
     * 设置 合成doc后地址
     * @param docPathList
     */
    public MatterDatumPrintQuery docPathList(List<String> docPathList){
        this.docPathList = docPathList;
        return this;
    }


    /**
     * 设置 提交的表单
     * @param formContent
     */
    public MatterDatumPrintQuery formContent(String formContent){
        setFormContent(formContent);
        return this;
    }

    /**
     * 设置 提交的表单
     * @param formContentList
     */
    public MatterDatumPrintQuery formContentList(List<String> formContentList){
        this.formContentList = formContentList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public MatterDatumPrintQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public MatterDatumPrintQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public MatterDatumPrintQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public MatterDatumPrintQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public MatterDatumPrintQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<MatterDatumPrintQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<MatterDatumPrintQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<MatterDatumPrintQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<MatterDatumPrintQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}