package com.mortals.xhx.module.matter.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
/**
* MatterDatumService
*
* 事项申请材料 service接口
*
* @author zxfei
* @date 2022-09-27
*/
public interface MatterDatumService extends ICRUDService<MatterDatumEntity,Long>{

    /**
     * 合成doc数据模板
     * @param context
     * @return
     */
    String mergeFormToDoc(MatterDatumEntity docFormVo, Context context);

    /**
     *  添加材料到公共库
     * @param pubIds
     * @param matterId
     * @param siteId
     * @param context
     * @return
     */
    Rest<String> addPubdatum(Long[] pubIds,Long matterId,Long siteId, Context context);

    /**
     * 推荐or取消推荐
     * @param id
     */
    Rest<String> recommend(Long id, Long siteId, Context context);
}