package com.mortals.xhx.module.sheet.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.MatterEntity;
import com.mortals.xhx.module.sheet.model.SheetMatterEntity;

/**
 * SheetMatterService
 * <p>
 * 基础事项 service接口
 *
 * @author zxfei
 * @date 2022-09-27
 */
public interface SheetMatterService extends ICRUDService<SheetMatterEntity, Long> {

    Result<SheetMatterEntity> findSubList(SheetMatterEntity matterQuery, PageInfo pageInfo, Context context);
}